Loading...
Searching...
No Matches
casacore::TaQLRangeNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a range. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLRangeNodeRep (Bool leftClosed, const TaQLNode &start, const TaQLNode &end, Bool rightClosed, Bool asMidWidth=False)
| TaQLRangeNodeRep (Bool leftClosed, const TaQLNode &start)
| TaQLRangeNodeRep (const TaQLNode &end, Bool rightClosed)
| TaQLRangeNodeRep (const TaQLNode &mid, const TaQLNode &width)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLNode | itsStart
TaQLNode | itsEnd
Bool | itsLeftClosed
Bool | itsRightClosed
Bool | itsAsMidWidth

## Detailed Description

Raw TaQL parse tree node defining a range.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the optional start and end values of a range (i.e. an interval) and flags if the range is open or closed.

Definition at line 322 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLRangeNodeRep() [1/4]

casacore::TaQLRangeNodeRep::TaQLRangeNodeRep | ( | Bool | leftClosed,
|  | const TaQLNode & | start,
|  | const TaQLNode & | end,
|  | Bool | rightClosed,
|  | Bool | asMidWidth = False )

References casacore::end(), and casacore::False.

## TaQLRangeNodeRep() [2/4]

casacore::TaQLRangeNodeRep::TaQLRangeNodeRep | ( | Bool | leftClosed,
|  | const TaQLNode & | start )

## TaQLRangeNodeRep() [3/4]

casacore::TaQLRangeNodeRep::TaQLRangeNodeRep | ( | const TaQLNode & | end,
|  | Bool | rightClosed )

References casacore::end().

## TaQLRangeNodeRep() [4/4]

casacore::TaQLRangeNodeRep::TaQLRangeNodeRep | ( | const TaQLNode & | mid,
|  | const TaQLNode & | width )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLRangeNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLRangeNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## show()

virtual void casacore::TaQLRangeNodeRep::show | ( | std::ostream & | os | ) | const

override virtual

Print the object in an ostream.

Implements casacore::TaQLNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLRangeNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsAsMidWidth

Bool casacore::TaQLRangeNodeRep::itsAsMidWidth

Definition at line 340 of file TaQLNodeDer.h.

## itsEnd

TaQLNode casacore::TaQLRangeNodeRep::itsEnd

Definition at line 337 of file TaQLNodeDer.h.

## itsLeftClosed

Bool casacore::TaQLRangeNodeRep::itsLeftClosed

Definition at line 338 of file TaQLNodeDer.h.

## itsRightClosed

Bool casacore::TaQLRangeNodeRep::itsRightClosed

Definition at line 339 of file TaQLNodeDer.h.

## itsStart

TaQLNode casacore::TaQLRangeNodeRep::itsStart

Definition at line 336 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h